<?php

use Phinx\Db\Adapter\MysqlAdapter;

class CreateVentaAbonoCuotas extends Phinx\Migration\AbstractMigration
{
	public function change(): void
	{
		$this->execute('SET unique_checks=0; SET foreign_key_checks=0;');
		$this->execute("ALTER DATABASE CHARACTER SET 'utf8mb4';");
		$this->execute("ALTER DATABASE COLLATE='utf8mb4_general_ci';");

		$this->table('venta_abono_cuotas')
			->addColumn('venta_id', 'integer', ['length' => 11, 'null' => false, 'signed' => false])
			->addColumn('pago_id', 'integer', ['length' => 11, 'null' => false, 'signed' => false])
			->addColumn('numero', 'integer', ['length' => 11, 'default' => 1, 'null' => false, 'signed' => false])
			->addForeignKey('venta_id', 'venta', 'id', ['delete' => 'cascade', 'update' => 'cascade'])
			->addForeignKey('pago_id', 'pago', 'id', ['delete' => 'cascade', 'update' => 'cascade'])
			->create();
		$this->execute('SET unique_checks=1; SET foreign_key_checks=1;');
	}
}
